/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.sca.contribution.updater.impl;

import org.osoa.sca.annotations.Service;

@Service(GreetService.class)
public class HelloComponent implements GreetService {
    private String[][] languageGreets = {
            { "English", "Italian", "Japanese", "German" },
            { "Hello!", "Ciao!", "Konnici wa!", "Hallo!" } };

    public String sayHello(String language) {
        for (int i = 0; i < 4; ++i)
            for (int j = 0; j < 4; ++j) {
                if (language.equals(languageGreets[i][j])) {
                    return languageGreets[0][0];
                }
            }
        return "I don't speak your language";
    }

}
